> ## Documentation Index
> Fetch the complete documentation index at: https://www.conductor.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user access information

> Get access information for a single Conductor user—accounts, email, name, SSO, user type, and view—via the User Management API.



## OpenAPI

````yaml GET /user-api/v1/users/{userEmail}
openapi: 3.0.1
info:
  version: 1.0.1, 2023-07-13
  title: User Management API
  license:
    name: Conductor terms of service
    url: https://www.conductor.com/legal/
  termsOfService: https://www.conductor.com/legal/
  x-logo:
    url: https://app.conductor.com/images/global/logo_login.png
  description: >-
    This is Conductor’s REST API for user management.


    ## Getting access to the API


    We use a bearer token except for the `login` endpoint, which uses a username
    and password.


    ### Application Identity


    The application identity is a set of credentials used to interact with this
    API. 

    These credentials must belong to a user configured separately, without SSO
    enabled, and with the Admin user type. 

    Afterward, the Standard and Read-only users belonging to the same accounts
    may be managed through the API.


    ## Permissions in the Conductor Platform


    The Conductor platform has two different dimensions of permissions:

    - User Type: Whether the user can write or read data only. This applies in
    general, not just single accounts. 
      Conductor’s user types include: *Admin*, *Standard*, and *Read-only*.
    - Accounts: Accounts grant access to specific sets of data.


    There are two operations to manage these two dimensions separately.
  contact:
    name: Engineering, core platform
    email: coreplatformeng@conductor.com
servers:
  - url: https://app.conductor.com
    description: Conductor user management API V1
security:
  - JWT: []
tags:
  - name: Authentication resources
    description: Obtain a bearer token.
  - name: User management resources
    description: >-
      **Note**: Only Standard and Read-only users may be created, updated, or
      otherwise managed with this API. 

      The User List endpoint includes Admin users, but they cannot be managed
      with this API.
paths:
  /user-api/v1/users/{userEmail}:
    parameters:
      - $ref: '#/components/parameters/userEmail'
    get:
      tags:
        - User management resources
      summary: Get Access Information about a User
      description: |-
        Get access information about a single user, including:
        - Accounts they have access to
        - Email address
        - First and last name
        - SSO access
        - User type
        - User view in Conductor
      operationId: getUser
      parameters: []
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserDto'
              examples:
                Example:
                  value:
                    accounts:
                      - 1
                      - 2
                      - 3
                    email: user@example.com
                    firstname: User
                    lastname: User
                    sso_access: true
                    type: STANDARD
                    view: COMPLETE
                    status: ACTIVE
        '401':
          $ref: '#/components/responses/ErrorResponse'
        '403':
          $ref: '#/components/responses/ErrorResponse'
        '404':
          $ref: '#/components/responses/ErrorResponse'
        '500':
          $ref: '#/components/responses/ErrorResponse'
      deprecated: false
      security:
        - JWT:
            - global
components:
  parameters:
    userEmail:
      name: userEmail
      in: path
      required: true
      schema:
        type: string
        example: user@example.com
      description: The user’s email
  schemas:
    UserDto:
      title: UserDto
      type: object
      x-examples:
        Example:
          accounts:
            - 1
            - 2
            - 3
          email: user@example.com
          firstname: User
          lastname: User
          sso_access: true
          type: STANDARD
          view: COMPLETE
          status: ACTIVE
      properties:
        accounts:
          type: array
          items:
            type: integer
        email:
          type: string
        firstname:
          type: string
        lastname:
          type: string
        sso_access:
          type: boolean
        type:
          type: string
          enum:
            - READ_ONLY
            - STANDARD
            - ADMIN
          description: >-
            User type, `ADMIN` is not allowed when creating users. To identify
            existing `ADMIN` users, you can use the Users endpoint.
        view:
          type: string
          enum:
            - CONTENT_MARKETING
            - SEARCH_MARKETING
            - EXECUTIVE_ESSENTIALS
            - PAID_SEARCH
            - RESEARCH
            - COMPLETE
        status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
          default: true
          description: >-
            Whether the user is active or inactive. Not required when creating a
            user.
      description: A user
    Error:
      type: object
      x-examples:
        Example:
          timestamp: 2023-05-18T19:06:16.449+0000
          status: 403
          error: Forbidden
          message: Forbidden
          path: /api/v1/users/user@example.com
      properties:
        timestamp:
          type: string
          format: date-time
          description: Timestamp rfc3339
        status:
          type: integer
          description: HTTP status code
        error:
          type: string
        message:
          type: string
        path:
          type: string
  responses:
    ErrorResponse:
      description: A standard response for any error (4xx / 5xx)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````